<!DOCTYPE node PUBLIC "-//freedesktop//DTD D-BUS Object Introspection 1.0//EN" "http://www.freedesktop.org/standards/dbus/1.0/introspect.dtd">
<node name="/uk/org/thekelleys/dnsmasq">
  <interface name="org.freedesktop.DBus.Introspectable">
    <method name="Introspect">
      <arg name="data" direction="out" type="s"/>
    </method>
  </interface>
  <interface name="uk.org.thekelleys.dnsmasq">
    <method name="ClearCache">
    </method>
    <method name="GetVersion">
      <arg name="version" direction="out" type="s"/>
    </method>
    <method name="GetLoopServers">
      <arg name="server" direction="out" type="as"/>
    </method>
    <method name="SetServers">
      <arg name="servers" direction="in" type="av"/>
    </method>
    <method name="SetDomainServers">
      <arg name="servers" direction="in" type="as"/>
    </method>
    <method name="SetServersEx">
      <arg name="servers" direction="in" type="aas"/>
    </method>
    <method name="SetFilterWin2KOption">
      <arg name="filterwin2k" direction="in" type="b"/>
    </method>
    <method name="SetBogusPrivOption">
      <arg name="boguspriv" direction="in" type="b"/>
    </method>
    <signal name="DhcpLeaseAdded">
      <arg name="ipaddr" type="s"/>
      <arg name="hwaddr" type="s"/>
      <arg name="metadata" type="a{ss}"/>
    </signal>
    <signal name="DhcpLeaseDeleted">
      <arg name="ipaddr" type="s"/>
      <arg name="hwaddr" type="s"/>
      <arg name="metadata" type="a{ss}"/>
    </signal>
    <signal name="DhcpLeaseUpdated">
      <arg name="ipaddr" type="s"/>
      <arg name="hwaddr" type="s"/>
      <arg name="metadata" type="a{ss}"/>
    </signal>
    <method name="GetDhcpLeases">
      <arg name="leases" type="a(ssa{ss})" direction="out"/>
    </method>
    <method name="AddDhcpLease">
       <arg name="ipaddr" type="s"/>
       <arg name="hwaddr" type="s"/>
       <arg name="hostname" type="ay"/>
       <arg name="clid" type="ay"/>
       <arg name="lease_duration" type="u"/>
       <arg name="ia_id" type="u"/>
       <arg name="is_temporary" type="b"/>
    </method>
    <method name="DeleteDhcpLease">
       <arg name="ipaddr" type="s"/>
       <arg name="success" type="b" direction="out"/>
    </method>
    <signal name="ResolveDomain">
      <arg name="source" type="s"/>
      <arg name="id" type="q"/>
      <arg name="query" type="b"/>
      <arg name="operation_code" type="y"/>
      <arg name="autoritative_answer" type="b"/>
      <arg name="truncation" type="b"/>
      <arg name="recursion_desired" type="b"/>
      <arg name="recursion_available" type="b"/>
      <arg name="authenticated_data" type="b"/>
      <arg name="checking_disabled" type="b"/>
      <arg name="response_code" type="y"/>
      <arg name="questions" type="a(sss)"/>
      <arg name="answers" type="a(sssuv)"/>
      <arg name="authorities" type="a(sssuv)"/>
      <arg name="additionals" type="a(sssuv)"/>
      <arg name="pseudoheaders" type="a(qqqa(qay))"/>
    </signal>
    <method name="GetMetrics">
      <arg name="metrics" direction="out" type="a{su}"/>
    </method>
  </interface>
</node>
